JSON-RPCMethods

eth_getTransactionCount: parameters, returns and CU

Return the transaction count (nonce) of an address at a block.

Summary

Return the number of transactions sent from an address (its nonce) at a given block.

Compute units (CU) and pricing

CU per call

10 CU

Price per 1M calls (USD)

$1.00

Parameters

ParameterTypeDescription
addressADDRESSAccount address to query.
blockParameterQUANTITY|TAGBlock number or tag: latest or pending; safe, finalized and earliest return -32011 (not billed).

Returns

  • Type: QUANTITY
  • Description: Account nonce as a 0x-prefixed hexadecimal quantity.

Notes

With latest only mined transactions count, while pending also counts pending transactions; a difference usually means there are unconfirmed transactions.

Request example

export BLOCKVECTRA_API_KEY=rgw_your_api_key

curl -X POST "https://api.blockvectra.com/v1/robinhood_mainnet" \
  -H 'Content-Type: application/json' \
  -H "x-api-key: $BLOCKVECTRA_API_KEY" \
  -d '{
    "jsonrpc": "2.0",
    "method": "eth_getTransactionCount",
    "params": [
      "0x0000000000000000000000000000000000000000",
      "latest"
    ],
    "id": 1
  }'

Supported chains

Available on all 29 supported chains.

Last updated: